petsc-3.12.4 2020-02-04
Report Typos and Errors

# TSAdaptGetSafety

Get safety factors

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptGetSafety(TSAdapt adapt,PetscReal *safety,PetscReal *reject_safety)

Not Collective

### Input Arguments

adapt -adaptive controller context

### Ouput Arguments

safety -safety factor relative to target error/stability goal + reject_safety - extra safety factor to apply if the last step was rejected

### See Also

TSAdapt, TSAdaptSetSafety(), TSAdaptChoose()

### Level

intermediate

### Location

src/ts/adapt/interface/tsadapt.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages